# MATMATLAB

MATMATLAB = "matlab" - A matrix type providing direct solvers (LU and QR) and drop tolerance based ILU factorization (ILUDT) for sequential matrices via the external package Matlab. If Matlab is instaled (see the manual for instructions on how to declare the existence of external packages), a matrix type can be constructed which invokes Matlab solvers. After calling MatCreate(...,A), simply call MatSetType(A,MATMATLAB). This matrix type is only supported for double precision real.

This matrix inherits from MATSEQAIJ. As a result, MatSeqAIJSetPreallocation is supported for this matrix type. One can also call MatConvert for an inplace conversion to or from the MATSEQAIJ type without data copy.

### Options Database Keys

| -mat_type matlab | - sets the matrix type to "matlab" during a call to MatSetFromOptions()
| -mat_matlab_qr | - sets the direct solver to be QR instead of LU

### See Also

PCLU

Level:beginner
Location: src/mat/impls/aij/seq/matlab/aijmatlab.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages